#!/bin/bash

# Backup data from a remote server
# where backups are stored 
# in a directory indicated 
# by $HOME/backups/Latest
#
# WARNING: requires that you set a 
# ssh key allowing to access your remote
# server without a password !
#
# Author: Thibauld Nion
# License: Public Domain


# A name that will identify the data once backed up
BKP_NAME=example.com

# Server access configuration
USERNAME=myusername
SERVER_NETLOC=server.example.com

# Direcotry where stuff will be downloaded
BACKUP_DOWNLOAD_DIR=$BACKUP_MONITOR_DESTINATION_FOLDER/$BKP_NAME

if [ -d  $BACKUP_DOWNLOAD_DIR ]
then
echo "Removing previously created download directory $BACKUP_DOWNLOAD_DIR"
rm -r $BACKUP_DOWNLOAD_DIR
fi

echo "Preparing to download remote backup from $SERVER_NETLOC to $BACKUP_DOWNLOAD_DIR"
scp -rq $USERNAME@$SERVER_NETLOC:/home/$USERNAME/backups/Latest $BACKUP_DOWNLOAD_DIR
echo "Download finished"


